// HD44780 character LCD display driver
// Configured for 4-bit interface and
// minimal pin count (R/W tied to 0)

#ifndef _LCD_H
#define _LCD_H        	1

#include <inttypes.h>
#include <avr/io.h>
#include <util/delay.h>

// MODIFY THESE TO YOUR NEEDS
#define LCD_DDR				DDRC
#define LCD_PORT			PORTC
#define LCD_DATA_LSB_PIN  	2
#define LCD_E_PIN			1
#define LCD_RS_PIN			0

// Autogenerated
#define LCD_E_BIT			(1<<LCD_E_PIN)
#define LCD_RS_BIT			(1<<LCD_RS_PIN)
#define LCD_DATA_MASK		(0xF << LCD_DATA_LSB_PIN)
#define LCD_PORT_MASK		(LCD_DATA_MASK | LCD_E_BIT | LCD_RS_BIT)

void lcd_clear(void);
void lcd_write_string(const char* data);
void lcd_init(void);

#endif
